Status: Resolved Priority: Should have
Author: Gordon Brüggemann Category:
Created: 2012-10-05 Assigned To: Mattias Nilsson
Updated: 2013-03-26 Due date:
Subject: Adding ElectronicAddresses in User module is not possible
Description

http://neos.demo/neos/administration/users/show?moduleArguments[account][__identity]=2c4c646d-f7e1-461b-a228-6a61ca996236

edit  the Accout to add the EMail but on the the Edit Form is no input for Electronic Addresses

http://neos.demo/neos/administration/users/edit?moduleArguments[account][__identity]=2c4c646d-f7e1-461b-a228-6a61ca996236

// edit by afoeder:
the partial Module/Shared/EditUserSettingsForm looks like 

 1    <f:if condition="{account.party.electronicAddresses}">
 2        <div class="control-group">
 3            <label class="control-label">Electronic addresses:</label>
 4            <ul class="inputs-list">
 5                <f:for each="{account.party.electronicAddresses}" as="electronicAddress">
 6                    <li>{electronicAddress.identifier} ({electronicAddress.type})</li>
 7                </f:for>
 8            </ul>
 9        </div>
10    </f:if> 

it's obvious that there is not possibility to add an electronic address if there isn't already one set.

Associated revisions
Revision 78171579 - 2013-03-26 14:33 - Aske Ertmann

[FEATURE] Add possibility to manage electronic addresses

Add the possibility to manage electronic addresses for a user
in the User Management module.

Change-Id: I8923c40960513ab38e3bbcd05262ab10ffa5fb24
Resolves: #41618

History
#1 - 2012-10-05 15:19 - Adrian Föder
- Subject changed from add EMail for User Account to Adding ElectronicAddresses in User module is not possible

#2 - 2012-10-05 15:20 - Adrian Föder
- Status changed from New to Accepted
- Assigned To set to Adrian Föder
I can take care.

#3 - 2012-12-23 22:01 - Mattias Nilsson

Pushed a change to Gerrit: https://review.typo3.org/#/c/17270/

#4 - 2012-12-28 14:34 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17270

#5 - 2013-01-12 07:55 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17270

#6 - 2013-01-20 08:33 - Mattias Nilsson

Here is a branch specific for handling electronic addresses: https://review.typo3.org/#/q/status:open+branch:master+topic:electronic-addresses,n,z

#7 - 2013-01-29 11:58 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17270

#8 - 2013-01-29 13:51 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17270

#9 - 2013-02-01 09:13 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17270

#10 - 2013-02-03 19:36 - Gerrit Code Review

Patch set 10 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17270

#11 - 2013-02-04 21:42 - Gerrit Code Review

Patch set 11 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17270

#12 - 2013-02-11 23:57 - Gerrit Code Review

Patch set 12 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17270

#13 - 2013-02-12 00:04 - Gerrit Code Review

Patch set 13 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17270

#14 - 2013-02-13 17:53 - Gerrit Code Review

Patch set 14 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17270

#15 - 2013-02-13 17:54 - Gerrit Code Review

Patch set 15 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17270

#16 - 2013-02-21 16:39 - Adrian Föder
- Assigned To deleted (Adrian Föder)

#17 - 2013-02-21 18:58 - Mattias Nilsson
- Assigned To set to Mattias Nilsson

#18 - 2013-03-26 14:34 - Gerrit Code Review

Patch set 16 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17270

#19 - 2013-03-26 14:37 - Aske Ertmann
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:7817157948bd6a38c5258b28bc79717621e5f2e9.
